Skip to main content
GET
AllBalances

Path Parameters

address
string
required

address is the address to query balances for.

Query Parameters

pagination.key
string<byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string<uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string<uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.countTotal
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

resolveDenom
boolean

resolve_denom is the flag to resolve the denom into a human-readable form from the metadata.

Response

A successful response.

QueryAllBalancesResponse is the response type for the Query/AllBalances RPC method.

balances
object[] | null

balances is the balances of all the coins.

pagination
object | null

pagination defines the pagination in the response.